function p.get_can_use(level, bp)
    local dist = ga_block_dist_to_viewer(level, bp)
    if( dist < 1.0 ) then return false end
    return true
end

function p.get_use_msg(level, bp)
    if( not p.get_can_use(level, bp) ) then return "" end
    return "In-Only Waypoint"
end

function p.on_use(level, bp)
    ga_play_sound_menu("use")
    ga_window_push("__WAYPOINT_IN_ONLY__")
end
